# PetscObject

any PETSc object, PetscViewer, Mat, Vec, KSP etc

### Synopsis

    typedef struct _p_PetscObject* PetscObject;

Note: This is the base class from which all objects appear.

### See Also

PetscObjectDestroy(), PetscObjectView(), PetscObjectGetName(), PetscObjectSetName()

Level:beginner
Location: include/petsc.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex13.c.html
src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex33.c.html
src/snes/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex3.c.html